Bug 32801 - gdb ia64 Dwarf Error: Could not find abbrev number 14672
Summary: gdb ia64 Dwarf Error: Could not find abbrev number 14672
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdb
Version: 7.3
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-23 05:29 UTC by John Reiser
Modified: 2007-04-18 16:32 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2001-04-08 22:11:56 UTC


Attachments (Terms of Use)
shell script to invoke g++ compiler, linker, and gdb (218 bytes, text/plain)
2001-03-23 05:30 UTC, John Reiser
no flags Details
shared lib that gdb cannot read dwarf2 (41.59 KB, application/octet-stream)
2001-03-23 05:32 UTC, John Reiser
no flags Details
C++ source for shared lib (25.31 KB, text/plain)
2001-03-23 05:33 UTC, John Reiser
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2001:082 high SHIPPED_LIVE New version of GCC 2.96-RH available fixing several bugs 2001-06-14 04:00:00 UTC

Description John Reiser 2001-03-23 05:29:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.5-15 i586)


gdb gets lost reading dwarf2 info for a shared library,
quits early, and does not see most of the symbol information,
leaving the user nearly helpless.

Reproducible: Always
Steps to Reproduce:
1. compile and link shared library
2. invoke gdb
3.
I will Attach the linked .so (42KB) and C++ source file (26KB)
and shell script to this Bug, as soon as the Bug number is reported
to me.

Actual Results:  $ ./Bar.sh
Bar.cc:817: warning: `class Class1::Class000000000033' only defines 
private constructors and has no friends
Bar.cc:605: warning: `char s00000000000000327[84]' defined but not used
Bar.cc:886: warning: `char s0042[82]' defined but not used
GNU gdb 5.0
Copyright 2000 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you
are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "ia64-redhat-linux"...Dwarf Error: Could not
find abbrev number 14672.

(gdb) q


Expected Results:  No complaint from gdb.

$ rpm -q -f /usr/bin/gdb      ## also fails with gdb from rawhide-3
gdb-5.0-13
$ rpm -q -f /usr/bin/ld
gnupro-1117-6
$ type g++
g++ is /usr/bin/g++
$ rpm -q -f /usr/bin/g++
gnupro-1117-6
gcc-c++-2.96-76
$ cat /etc/redhat-release
Red Hat Linux release 7.0.90 (Fisher)
newruntime>uname -a
Linux angus 2.4.0-0.99.11smp #1 SMP Wed Jan 24 13:38:34 EST 2001 ia64
unknown

Comment 1 John Reiser 2001-03-23 05:30:50 UTC
Created attachment 13404 [details]
shell script to invoke g++ compiler, linker, and gdb

Comment 2 John Reiser 2001-03-23 05:32:03 UTC
Created attachment 13405 [details]
shared lib that gdb cannot read dwarf2

Comment 3 John Reiser 2001-03-23 05:33:22 UTC
Created attachment 13406 [details]
C++ source for shared lib

Comment 4 Trond Eivind Glomsrxd 2001-03-23 21:45:59 UTC
Any chance of trying a newer gdb, eg. the newest daily snapshot in
ftp://sources.redhat.com/pub/gdb/snapshots ?

Comment 5 John Reiser 2001-03-23 22:51:10 UTC
It still fails on today's snapshot:

$GDB Bar.so
GNU gdb 20010323
Copyright 2001 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "ia64-unknown-linux"...Dwarf Error: Could not find
abbrev number 14672.

(gdb) 


Comment 6 Trond Eivind Glomsrxd 2001-04-06 19:49:53 UTC
I've built gdb-5.0rh-6. You can find them in http://people.redhat.com/teg/gdb/ ?

Can you give these a try, to see if they fix this problem on the IA64?

Comment 7 Paul Pluzhnikov 2001-04-08 22:11:52 UTC
John no longer has access to the IA-64 system.

My results using http://people.redhat.com/teg/gdb/gdb-5.0rh-6:
no change in behaviour

gdb Bar.so
GNU gdb 5.0rh-6 Red Hat Linux 7.1
Copyright 2001 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "ia64-redhat-linux"...Dwarf Error: Could not find
abbrev number 14672.
(gdb)


Comment 8 Jakub Jelinek 2001-04-28 18:08:29 UTC
Should be fixed in gcc-2.96-82.


Note You need to log in before you can comment on or make changes to this bug.